# InlineQueryResultContact - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult / InlineQueryResultContact

# InlineQueryResultContact

(common) `data class InlineQueryResultContact : InlineQueryResult, CommonContactData, WithInputMessageContentInlineQueryResult, ThumbedInlineQueryResult, ThumbSizedInlineQueryResult` (source)

### Constructors

(common)

#### <init>

`InlineQueryResultContact(id: String, phoneNumber: String, firstName: String, lastName: String? = null, vcard: String? = null, thumbUrl: String? = null, thumbWidth: Int? = null, thumbHeight: Int? = null, replyMarkup: InlineKeyboardMarkup? = null, inputMessageContent: InputMessageContent? = null)`

### Properties

(common)

#### firstName

`val firstName: String`

(common)

#### id

`val id: String`

(common)

#### inputMessageContent

`val inputMessageContent: InputMessageContent?`

(common)

#### lastName

`val lastName: String?`

(common)

#### phoneNumber

`val phoneNumber: String`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### thumbHeight

`val thumbHeight: Int?`

(common)

#### thumbUrl

`val thumbUrl: String?`

(common)

#### thumbWidth

`val thumbWidth: Int?`

(common)

#### type

`val type: String`

(common)

#### vcard

`val vcard: String?`